//
//  Castle.swift
//  MonsterWars
//
//  Created by Main Account on 11/3/15.
//  Copyright © 2015 Razeware LLC. All rights reserved.
//

import SpriteKit
import GameplayKit

// 1
class Castle: GKEntity {

  init(imageName: String, team: Team, entityManager: EntityManager) {
    super.init()
    
    // 2
    let spriteComponent = SpriteComponent(texture: SKTexture(imageNamed: imageName))
    addComponent(spriteComponent)
    addComponent(TeamComponent(team: team))
    addComponent(CastleComponent())
    addComponent(MoveComponent(maxSpeed: 0, maxAcceleration: 0, radius: Float(spriteComponent.node.size.width / 2), entityManager: entityManager))

  }
}