//
//  CastleComponent.swift
//  MonsterWars
//
//  Created by Main Account on 11/3/15.
//  Copyright © 2015 Razeware LLC. All rights reserved.
//

import SpriteKit
import GameplayKit

class CastleComponent: GKComponent {  

  // 1
  var coins = 0
  var lastCoinDrop = NSTimeInterval(0)

  override init() {
    super.init()
  }
  
  // 2
  override func updateWithDeltaTime(seconds: NSTimeInterval) {
    
    super.updateWithDeltaTime(seconds)
    
    // 3
    let coinDropInterval = NSTimeInterval(0.5)
    let coinsPerInterval = 10
    if (CACurrentMediaTime() - lastCoinDrop > coinDropInterval) {
      lastCoinDrop = CACurrentMediaTime()
      coins += coinsPerInterval
    }
  }
}