//
//  MoveBehavior.swift
//  MonsterWars
//
//  Created by Main Account on 11/3/15.
//  Copyright © 2015 Razeware LLC. All rights reserved.
//

import GameplayKit
import SpriteKit

class MoveBehavior: GKBehavior {

  init(targetSpeed: Float, seek: GKAgent, avoid: [GKAgent]) {
    super.init()
    // 1
    if targetSpeed > 0 {
      // 2
      setWeight(0.1, forGoal: GKGoal(toReachTargetSpeed: targetSpeed))
      // 3
      setWeight(0.5, forGoal: GKGoal(toSeekAgent: seek))
      // 4
      setWeight(1.0, forGoal: GKGoal(toAvoidAgents: avoid, maxPredictionTime: 1.0))
    }
  }

}